### Method

# Soup MessageMetrics get_request_body_bytes_sent

#### Declaration [src]

    guint64
    soup_message_metrics_get_request_body_bytes_sent (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the number of bytes sent to the network for the request body.

This is the size of the body sent, after encodings are applied, so it might be greater than the value returned by `soup_message_metrics_get_request_body_size()`. This value is available right before `SoupMessage::wrote-body` signal is emitted, but you might get an intermediate value if called before.

#### Return value

Type: `guint64`

The request body bytes sent.